package com.qmth.boot.core.ai.api;

import com.qmth.boot.core.ai.config.LlmApiConfiguration;
import com.qmth.boot.core.ai.model.AiConstants;
import com.qmth.boot.core.retrofit.annotatioin.RetrofitClient;
import com.qmth.boot.core.retrofit.utils.SignatureInfo;
import retrofit2.http.Body;
import retrofit2.http.POST;
import retrofit2.http.Tag;

/**
 * 大模型相关应用服务接口
 */
@RetrofitClient(configuration = LlmApiConfiguration.class)
public interface LlmApiClient {

    /**
     * 自动命题服务
     *
     * @param signatureInfo
     * @param prompt
     * @return
     */
    @POST(AiConstants.LLM_AGQ_PATH)
    String autoGenerateQuestion(@Tag SignatureInfo signatureInfo, @Body String prompt);

}
